$line-color: #a0a0a0;
$bg-color: #f7fafc;

body {
  font: normal normal 14px/1.4 Segoe, "Segoe UI", Sans-Serif;
}

.tree {
  background-color: $bg-color;
  border-radius: 3px;
  list-style: none;
  margin: 0;
  max-width: 320px;
  padding: 0;
  position: relative;
  ul {
    list-style: none;
    margin: 0 0 0 -9px;
    max-width: 320px;
    padding: 0;
    position: relative;
    &:before {
      border-left: 1px solid;
      bottom: 0;
      color: $line-color;
      content: "";
      display: block;
      left: 0;
      position: absolute;
      top: -13px;
      width: 0;
    }
  }
  &:before {
    border-left: 1px solid;
    bottom: 0;
    color: $line-color;
    content: "";
    display: block;
    left: 0;
    position: absolute;
    top: -13px;
    width: 0;
  }
  li {
    line-height: 2em;
    margin: 0;
    padding: 0 0 0 36px;
    position: relative;
    &:before {
      border-top: 1px solid;
      color: #a0a0a0;
      content: "";
      display: block;
      height: 0;
      left: 0;
      margin-top: -1px;
      position: absolute;
      top: 1em;
      width: 24px;
    }
    &:last-child {
      &:before {
        background: $bg-color;
        bottom: 0;
        height: auto;
        top: 1em;
      }
    }
  }
}

.menu-item-title {
  cursor: pointer;
  display: block;
  position: relative;
  &:hover {
    background-color: rgba(160, 160, 160, 0.17);
    border-radius: 3px;
  }
  &::before {
    content: "• ";
    font-size: 30px;
    left: -14px;
    line-height: 0;
    position: absolute;
    top: 14px;
    z-index: 1;
  }
}

.expanded.has-submenu {
  > .menu-item-title {
    &::before {
      content: "• ";
      font-size: 30px;
      left: -14px;
      line-height: 0;
      position: absolute;
      top: 14px;
      z-index: 1;
    }
  }
}

.label {
  color: #232323;
  padding: 0 5px;
}

.arrow {
  height: auto;
  position: absolute;
  right: 5px;
  top: 8px;
  transform: rotate(-90deg);
  transition: transform 0.2s ease-in;
  width: 12px;
  &.expanded {
    transform: rotate(90deg);
    transition: transform 0.2s ease-out;
  }
}